/*
 *
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

export default {
  'button.create': '新建',
  'button.close': '关闭',
  'button.confirm': '确定',
  'button.cancel': '取消',
  'button.finish': '完成',
  'button.save': '保存',
  'button.delete': '删除',
  'button.batchDelete': '批量删除',
  'button.batchEnable': '批量启用',
  'button.batchDisable': '批量禁用',
  'button.more': '更多',
  'button.config': '配置',
  'button.edit': '编辑',
  'button.assignUser': '分配用户',
  'button.assignRole': '分配角色',
  'button.changePassword': '修改密码',
  'button.enable': '启用',
  'button.disable': '禁用',
  'button.reset': '重置',
  'button.search': '搜索',
  'button.upload': '上传',
  'button.import': '导入',
  'button.export': '导出',
  'button.submit': '提交',
  'button.createDir': '创建目录',
  'button.heartbeat': '心跳',
  'button.recycle': '回收',
  'button.refresh': '刷新',
  'button.refreshData': '刷新数据',
  'button.collapseDir': '折叠目录',

  'right.menu.open': '打开',
  'right.menu.submit': '异步提交',
  'right.menu.exportJson': '导出 JSON',
  'right.menu.importJson': '导入 JSON',
  'right.menu.rename': '重命名',
  'right.menu.copy': '复制',
  'right.menu.cut': '剪切',
  'right.menu.paste': '粘贴',
  'right.menu.delete': '删除',
  'right.menu.createCatalogue': '创建目录',
  'right.menu.createRootCatalogue': '创建根目录',
  'right.menu.uploadZipToCreate': '上传zip包创建工程',
  'right.menu.createTask': '创建作业',
  'right.menu.closeAll': '关闭所有',
  'right.menu.closeOther': '关闭其他',


  'tips.selected': '已选择 {total} 项',
  'tips.notSelected': '未选',
  'tips.confirm.logout.session': '确认注销会话【{sessionName}】 吗？',
  'tips.confirm.delete.table': '确定删除表【{tableName}】吗？',
  'tips.create.session.success': '创建会话【{session}】成功！',

  'status.enabled': '已启用',
  'status.disabled': '已禁用',

  'global.time.second': '秒',
  'global.time.minute': '分',
  'global.time.hour': '小时',
  'global.time.day': '天',
  'global.time.millisecond': '毫秒',


  'global.table.operate': '操作',
  'global.table.config': '配置',
  'global.table.edit': '编辑',
  'global.table.delete': '删除',
  'global.table.more': '更多',
  'global.table.updateTime': '更新时间',
  'global.table.lastUpdateTime': '最近更新时间',
  'global.table.createTime': '创建时间',
  'global.table.startTime': '开始时间',
  'global.table.endTime': '结束时间',
  'global.table.useTime': '耗时',

  'global.table.registType': '注册方式',
  'global.table.registType.manual': '手动',
  'global.table.registType.automatic': '自动',

  'global.table.isEnable': '是否启用',
  'global.table.note': '备注',

  'global.table.status': '状态',
  'global.table.status.normal': '正常',
  'global.table.status.abnormal': '异常',

  'global.table.version': '版本',
  'global.table.jobManagerAddress': 'JobManger 地址',
  'global.table.jobManagerHaAddress': 'JobManger 高可用地址',
  'global.table.type': '类型',
  'global.table.nickName': '昵称',
  'global.table.instanceName': '集群实例',
  'global.table.instanceId': '实例 Id',
  'global.table.clusterManagement': '集群管理',
  'global.table.create': '创建',
  'global.table.heartbeat': '心跳',
  'global.table.recycle': '回收',
  'global.table.refresh': '刷新',

  'global.table.no': '序号',
  'global.table.columnName': '字段名称',
  'global.table.annotation': '注释',
  'global.table.primarykey': '主键',
  'global.table.automationAdd': '自增',
  'global.table.isNull': '非空',
  'global.table.default': '默认值',
  'global.table.precision': '精度',
  'global.table.decimalDigits': '小数范围',
  'global.table.character': '字符集',
  'global.table.collationRule': '排序规则',
  'global.table.javaType': 'Java 类型',

  'global.table.jobname': '任务名称',
  'global.table.jobid': '作业ID',
  'global.table.lifecycle': '生命周期',
  'global.table.lifecycle.all': '全部',
  'global.table.lifecycle.dev': '开发中',
  'global.table.lifecycle.publish': '已发布',
  'global.table.lifecycle.online': '已上线',
  'global.table.lifecycle.unknown': '未知',
  'global.table.runmode': '运行模式',

};
